Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class JRQueryExecuterAdapter.JSQuery

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseQuery
          com.jaspersoft.jasperserver.api.engine.jasperreports.util.JRQueryExecuterAdapter.JSQuery

All Implemented Interfaces:
  java.io.Serializable, net.sf.jasperreports.engine.JRQuery

Enclosing class:
  JRQueryExecuterAdapter

    protected static class JRQueryExecuterAdapter.JSQuery

extends net.sf.jasperreports.engine.base.JRBaseQuery

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseQuery
`language`

Constructor Summary
`JRQueryExecuterAdapter.JSQuery(Query query)`
`JRQueryExecuterAdapter.JSQuery(java.lang.String queryLanguage, java.lang.String queryString)`

Method Summary
`net.sf.jasperreports.engine.JRQueryChunk[]` | `getChunks()`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseQuery
`getLanguage, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRQueryExecuterAdapter.JSQuery

    public JRQueryExecuterAdapter.JSQuery(java.lang.String queryLanguage,
                                          java.lang.String queryString)

### JRQueryExecuterAdapter.JSQuery

    public JRQueryExecuterAdapter.JSQuery(Query query)

Method Detail

### getChunks

    public net.sf.jasperreports.engine.JRQueryChunk[] getChunks()

  Specified by:
    `getChunks` in interface `net.sf.jasperreports.engine.JRQuery`
  Overrides:
    `getChunks` in class `net.sf.jasperreports.engine.base.JRBaseQuery`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.